@echo off

FOR /F "tokens=1-3 delims=/ " %%a IN ("%date%") DO (SET CurrentDate=%%c-%%a-%%b)
FOR /F "tokens=1-3 delims=:." %%a IN ("%time: =0%") DO (SET CurrentTime=%%a-%%b-%%c)
set Datetime=%CurrentDate%_%CurrentTime%

set LogDir=%ProgramData%\ASUS\TX Mascot\Log\Installer
if not exist "%LogDir%" mkdir "%LogDir%"
forfiles /p "%LogDir%" /s /m *.* /D -90 /C "cmd /c del @path" 2>nul
set Logger="%LogDir%\Reinsall_%Datetime%.log"

msiexec /uninstall {3CBE43CB-C5F5-4F58-90A3-9504AED3EAA1} /L*I %logger% /quiet /norestart CUSTOMARG="ReInstall"

exit /b 0